<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_28c85ce81fee65" . "32980262893b6f2" . "425" => base64_decode("dXNlcm5hbW" . "U="), "us" . "er" . "_i" . "d" => base64_decode("dXNl" . "cl9p" . "ZA=="), "_8cca4dd" . "34e20c53" . "44bb2a30" . "f2533c4e" . "5" => base64_decode("ZnVs" . "bF9u" . "YW1l"));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_8cca4dd34e20c5344bb2a30f" . "2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_28c85ce81" . "fee6532980" . "262893b6f2" . "425"]);
    }
}